Subject: RE: a couple of ideas for part of a minor NFS rev

From: "Noveck, Dave" <[email-masked]>
Date: Fri, 16 Mar 2001 07:11:12 -0800

One thing that has been mentioned as a possiblity 
for a minor version is directory delegation or possibly 
change-notify.

Another more amorphous line of investigation (if it's
amorphous I suppose it is a blob rather than a line)
is to look at performance issues in the local-file-
sharing (i.e. within machine room) environment.  V4
has focused on making NFS WAN-friendly and there is
concern that in the process we may have hurt (or not
sufficiently helped) NFS in environments at the other
end of the latency spectrum.  We'll soon be at the 
point with implementation work that we will be able
to have some real data on this issue.  V4.1 would be
a good place to act on what we find.

-----Original Message-----
From: Brent Callaghan [mailto:[email-masked]]
Sent: Friday, March 16, 2001 1:12 AM
To: [email-masked]'
Subject: Re: a couple of ideas for part of a minor NFS rev

Thanks Mark,  Quite a bit to digest here.

We've mentioned minor revs in the past in the context of
features that we'd like to do "later", though I don't
think we've really maintained a list of candiate features
for a minor rev. Perhaps we should start now.

	Brent

"Wittle, Mark" wrote:
> 
> Following, in separate mail, are some ideas that might be interesting for
> minor rev of NFS v4:
>  - atomic append for NFS write
>  - server cache control
>  - listio
>  - persistent locks
> 
> Some of these write-ups are more baked than others.  I have a couple more
> that I'll try to submit in the next couple of days (after applying a
little
> more heat).  My goal is to find out if these are interesting to the NFS v4
> community to see if we want to take them any further.